{
    "name": "@lordoftheflies/paspartu-uaac-domain",
    "version": "1.0.0",
    "description": "Domain Layer for User Access and Account Control",
    "main": "dist/index.js",
    "author": {
        "email": "laszlo.hegedus@cherubits.hu",
        "name": "László Hegedűs",
        "url": "https://www.linkedin.com/in/lordoftheflies"
    },
    "license": "MIT",
    "private": false,
    "devDependencies": {
        "@types/chai": "^4.3.1",
        "@types/chai-http": "^4.2.0",
        "@types/date-fns": "^2.6.0",
        "@types/express": "^4.17.13",
        "@types/inversify": "^2.0.33",
        "@types/inversify-express-utils": "^2.0.0",
        "@types/inversify-inject-decorators": "^2.0.0",
        "@types/jsonwebtoken": "^8.5.8",
        "@types/mocha": "^9.1.1",
        "@types/morgan": "^1.9.3",
        "@types/node": "^17.0.35",
        "@types/sinon": "^10.0.11",
        "@types/swagger-ui-express": "^4.1.3",
        "chai": "^4.3.6",
        "chai-http": "^4.3.0",
        "mocha": "^10.0.0",
        "sinon": "^14.0.0"
    },
    "scripts": {
        "build": "tsc",
        "test": "mocha",
        "lint": "tslint-config-prettier-check ./tslint.json",
        "format": "prettier --write --ignore-unknown ./src",
        "typeorm": "typeorm-ts-node-commonjs"
    },
    "publishConfig": {
        "registry": "https://gitlab.com/api/v4/projects/34200835/packages/npm/"
    },
    "files": [
        "dist/"
    ],
    "dependencies": {
        "@lordoftheflies/paspartu-core": "^0.0.2",
        "cross-env": "^7.0.3",
        "date-fns": "^2.28.0",
        "dotenv": "^16.0.0",
        "inversify": "^6.0.1",
        "inversify-express-utils": "^6.4.3",
        "inversify-inject-decorators": "^3.1.0",
        "jsonwebtoken": "^8.5.1",
        "lodash": "^4.17.21",
        "morgan": "^1.10.0",
        "reflect-metadata": "^0.1.13",
        "ts-node": "^10.8.0",
        "typeorm": "^0.3.6",
        "typescript": "^4.7.2",
        "uuid4": "^2.0.2",
        "winston": "^3.7.2"
    }
}
